<?php
require_once("Connection.php");
include_once("../business/Task.php");

class TaskGateway
	{
		// connection attribute 
		public Connection $con;
		
		// constructor
		public function __construct(Connection $con){
			$this->con=$con;
		}

		// functions
		// code de retour pour les fonctions i,u,d?
		public function insert(Task $t){
			$query='INSERT INTO Tache VALUES (:id,:titre,:descript,NULL,NULL,:priorite,:idList)';
			
            $this->con->executeQuery($query, array(
            ':id'=> array($t->get_id(),PDO::PARAM_STR),
            ':titre'=> array($t->get_titre(),PDO::PARAM_STR),
            ':descript'=> array($t->get_description(),PDO::PARAM_STR),
            ':priorite'=> array($t->get_priorite(),PDO::PARAM_STR),
            ':idList'=> array($t->get_idList(),PDO::PARAM_STR) ));

            /*Comment gerer les erreurs?
             * si valeur existe deja
            */
		}

		public function update($id,$element, $valeur){
		    $query='UPDATE Tache SET '.$element.'=:'.$element.' WHERE id=:id';
            
            $this->con->executeQuery($query, array(
            ':id'=>array($id,PDO::PARAM_STR),
            ':'.$element =>array($valeur,PDO::PARAM_STR)));
            /*
            element é o attributo da classe, valaeur é oque queremos botar
            */    
		}

		public function delete($id){
            $query='DELETE FROM Tache WHERE id = :id';

            $this->con->executeQuery($query, array(
            ':id'=>array($id,PDO::PARAM_STR)));
		}

		# comment ça marche ?
		public function Find($element, $valeur){
		}
	}
?>
